local Frame = CreateFrame('Frame', 'VendorRewardFrame')

local function SelectItem()
    local bestv = 0
	for i = 1, GetNumQuestChoices() do
        local newv = select(11, GetItemInfo(GetQuestItemLink('choice', i)))
        if newv > bestv then
            bestv = newv
            _G['QuestInfoRewardsFrameQuestInfoItem'..i]:Click()
        end
	end
end

local threshhold = 0.25
local elapsedTime = 0

local function OnUpdate(self, elapsed)
    elapsedTime = elapsedTime + elapsed
    if elapsedTime > threshhold then
        Frame:SetScript("OnUpdate", nil)
        SelectItem()
    end
end

Frame:RegisterEvent('QUEST_COMPLETE')
Frame:SetScript('OnEvent', function(self, event, ...)
    if GetNumQuestChoices() > 0 then
        elapsedTime = 0
        Frame:SetScript("OnUpdate", OnUpdate)
    end
end)
